Search Acceleration

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/acceleration
API call form
Examples

Accelerations represent the configuration for Warped datasets stored by Luzmo in an analytics-optimized data warehouse (for more info, check out this Academy article . When you create an Acceleration, and associate with a dataset (Securable), a scheduled job will be created, which periodically loads data from the source into our system. This can happen in 3 ways:

  • Full Sync: The whole table is queried from the source, and replaced in Luzmo,

  • Delta Sync: After an initial full sync, only the changes since the last synchronization are fetched.

  • Full-Delta Sync: After an initial full sync, only the changes since the last synchronization are fetched, but for every Xth sync, a Full sync is performed.

To use Delta sync or Full-Delta sync, your dataset has to contain some columns for tracking data changes effectively (more info in the Academy article or in the Create Acceleration section).

Retrieve Acceleration(s) for dataset(s).

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
load_type STRING
data_storage_strategy STRING
delta_sync_schema_change_strategy STRING
primary_key_column_ids ARRAY[STRING]
created_at_column_id UUID
updated_at_column_id UUID
deleted_at_column_id UUID
full_sync_interval NUMBER
schedule OBJECT
last_synced_at DATETIME
last_full_sync_at DATETIME
last_storage_size NUMBER
is_out_of_sync_email_sent BOOLEAN
data_outdated_at DATETIME
current_sync_count NUMBER
trigger_full_sync BOOLEAN
delta_sync_max_sync_period NUMBER
delta_sync_initial_load_date DATETIME
Can be executed by:
Securable Modifier
Can be associated to:
Securable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
dotnet add package LuzmoSDK --version 1.0.3

Get the information of an acceleration by it's ID.

Example Response
200
400
500
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "load_type": "delta",
  "data_storage_strategy": "insert-update",
  "primary_key_column_ids": [
    "123e4567-e89b-12d3-a456-426614174002"
  ],
  "created_at_column_id": "123e4567-e89b-12d3-a456-426614174003",
  "updated_at_column_id": "123e4567-e89b-12d3-a456-426614174004",
  "schedule": {
    "frequency_unit": "day",
    "frequency_quantity": 1
  },
  "created_at": "2024-01-01T00:00:00.000Z",
  "updated_at": "2024-01-01T00:00:00.000Z"
}